Summary:    Small test program for liba52
Name:       a52dec
Version:    0.7.4
Release:    4%{?dist}
License:    GPLv2
URL:        http://liba52.sourceforge.net
Source0:    %{url}/files/%{name}-%{version}.tar.gz
Patch3000:  a52dec-configure-optflags.patch
Patch3001:  a52dec-0.7.4-rpath64.patch
Patch3002:  liba52-silence.patch

BuildRequires: gcc make
Requires:   liba52 = %{version}-%{release}

%description
Small test program for liba52.


%package -n liba52
Summary:    A free ATSC A/52 stream decoder, also known as AC-3 or AC3
Provides:   a52dec-libs = %{version}-%{release}

%description -n liba52
liba52 is a free library for decoding ATSC A/52 streams. The A/52
standard is used in a variety of applications, including digital
television and DVD. It is also known as AC-3 or AC3


%package -n liba52-devel
Summary:    Development files for liba52
Requires:   liba52 = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n liba52-devel
The liba52-devel package contains libraries and header files for
developing applications that use liba52-devel.


%prep
%autosetup -p1
sed -i -e 's/-prefer-non-pic/-prefer-pic/' configure liba52/configure.incl


%build
%configure --enable-shared --disable-static
%make_build

%install
%make_install
find %{buildroot}/%{_libdir} -name "*.la" -exec rm -f {} \;


%files
%doc AUTHORS ChangeLog HISTORY NEWS TODO
%{_bindir}/%{name}
%{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files -n liba52
%license COPYING
%{_libdir}/liba52.so.*

%files -n liba52-devel
%doc doc/liba52.txt
%{_includedir}/%{name}
%{_libdir}/liba52.so


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 rockerzhu <rockerzhu@tencent.com> - 0.7.4-1
- Initial build
